curl --request GET \
--url https://thirdparty.qonto.com/v2/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
List requests
OAuth scope: organization.read
Retrieves the list of requests for the authenticated organizations.
You can filter (ex: only retrieve a specific request type) and sort this list by using query parameters π
The response is automatically filtered based on the authenticated userβs role and scope:
- Employee: Only their own requests
- Manager (team-level permissions):
- Their own requests
- Requests from direct team members
- Manager (organization-level permissions):
- All the requests (based on their permissions)
- Owner/Admin: All the requests across the organization
Price plans: this endpoint is only accessible by organizations in a Business or Enterprise plan.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Requests can be filtered by their status.
This filter accepts an array of the following statuses:
pending: a request still waiting for final status.
approved: a request that has been approved by approver. Final status.declined: a request that has been declined by approver. Final status.canceled: a request that has been canceled by requester. Final status.
pending, approved, canceled, declined "status[]=approved&status[]=declined&status[]=pending"
Requests can be filtered by their request_type.
This filter accepts an array of the following statuses:
flash_card: a flash card is a non-physical card with a budget and a last day of validity. The card becomes inactive after the budget is totally spent or the last date of validity is past.virtual_card: a virtual card is a non-physical card with a monthly budget. Card holder can spend that amount every calendar month. Above that, transactions will be refused.transfer: a transfer of money from one Qonto account to another account.multi_transfer: several transfers executed at the same time. A document can be provided to create a multi-transfer which is composed of many different transfers.
transfer, multi_transfer, flash_card, virtual_card "request_type[]=transfer&request_type[]=multi_transfer"
Requests can be filtered by their created_at property. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Requests can be filtered by their processed_at property. Please use a valid date time format (ISO 8601 for instance).
"2019-01-10T11:47:53.123Z"
Requests can be sorted by a specific property and order.
Property: processed_at, created_at or status
Order: asc (Ascending) / desc (Descending)
Do note: Sorting by status:asc returns a list of requests with statuses in the following order: pending, approved, declined, canceled.
Returned page (cf. Pagination).
Number of requests per page (cf. Pagination).
Was this page helpful?